TIBCO Spotfire Analyst System Requirements - 7.9.x

To view the System requirements for a different version, please select it in the list below:




System requirement changes from the previous version (7.8.x)

TIBCO Spotfire Analyst
Category Requirement
TIBCO Spotfire Software Updated supported version
  • Connection to a TIBCO Spotfire Server 7.9.x, with a TIBCO Spotfire 7.9.x deployment, for software deployment and licensing.
Connectors (Optional) The supported (Data) Connectors have been updated. Please refer to the TIBCO Spotfire Connectors System Requirements page for more information.

Planned system requirement changes for the next version

Listed below are the currently known planned system requirement changes for the next version. This information is provided for informational purposes only and is subject to change without notice.

  • There are no currently known system requirements changes

System requirements for version 7.9.x

TIBCO Spotfire Analyst - version 7.9.x
Category Requirement
Hardware
Processor
  • Minimum: 2 Cores, 2 GHz
  • Recommended: 4 Cores or more (Intel Core i5 or equivalent), 2+ GHz, 64-bit
RAM
  • Minimum: 4 GB
  • Recommended: 8 GB or greater

Large datasets can require more RAM.
Hard disk space 10 GB is recommended for installation and normal use.
Display Recommended: 1366*768 pixel resolution or higher, 16 or 32-bit color depth. Minimum: 1024x768 pixel resolution, 16 or 32-bit color depth.

For functionality that require hardware acceleration (such as the 3D plot), DirectX 9 or higher and a compatible graphics card is required.
Software
Operating System Any of the following:
  • Microsoft Windows 10
  • Microsoft Windows 8, 8.1
  • Microsoft Windows 7

NOTE: While both 32- and 64-bit Operating Systems are supported, 64-bit is strongly recommended. Running TIBCO Spotfire Analyst on a 32-bit Operating System (or in 32-bit mode) is only suitable when using in-Database analytics or with small data sets. From version 6.0, TIBCO Spotfire Analyst is only optimized for use with 64-bit systems.
TIBCO Spotfire Software Connection to a TIBCO Spotfire Server 7.9.x, with a TIBCO Spotfire 7.9.x deployment, for software deployment and licensing.
TIBCO Spotfire (for Upgrades) Existing TIBCO Spotfire Analyst installations of version 5.0.x or higher can be upgraded to version 7.9.x by connecting to a TIBCO Spotfire Server 7.9.x, with a TIBCO Spotfire 7.9.x deployment
Installation Permissions Administrator rights are not required to install TIBCO Spotfire
Microsoft .NET Framework Microsoft .NET Framework version 4.5.x, 4.6.x

NOTE: If Microsoft .NET Framework 4.5 isn't installed when running the TIBCO Spotfire Analyst 7.9.x installer, the installer can (if the users accepts this when prompted) download and install it. No such option is available when upgrading older, existing TIBCO Spotfire installations by connecting to a TIBCO Spotfire Server with a TIBCO Spotfire 7.9.x deployment though - in this case, Microsoft .NET Framework must be installed before upgrading.

NOTE: Microsoft .NET Framework 4.5.2 (or higher) is strongly recommended, as defects in older .NET Framework 4.5.x versions have been confirmed to cause stability issues.

NOTE: Microsoft .NET Framework 4.5 works side by side with older Framework (3.5 and earlier) versions, but performs an in-place update for .NET Framework 4.

NOTE: Microsoft .NET Framework requires Administrator rights to complete installation.

Click here to download Microsoft .NET Framework 4.5.2
TLS (Transport Layer Security) (Optional) TLS 1.1 or higher

NOTE: Only required if connecting to the TIBCO Spotfire Server over HTTPS

NOTE: TLS 1.1 (and/or higher versions) can be enabled in the Internet Explorer > Internet Options > Advanced tab > Security section.
Microsoft Office (Optional) Any of the following:
  • Microsoft Office 365
  • Microsoft Office 2016, 32- and 64-bit versions
  • Microsoft Office 2013, 32- and 64-bit versions
  • Microsoft Office 2010, 32- and 64-bit versions
  • Microsoft Office 2007

NOTE: Microsoft Office needs to be installed in order to use Spotfire functionality that integrates with Office products (such as importing data from Excel or Access, or exporting to Powerpoint)

NOTE: It is possible to import data from Microsoft Access databases into TIBCO Spotfire Analyst. For 64-bit Operating Systems, please note that Microsoft didn't introduce 64-bit drivers until Microsoft Office 2010.
Connectors (Optional) The following are the supported (Data) Connectors:
  • TIBCO Spotfire Connector for Amazon Redshift 7.9
  • TIBCO Spotfire Connector for Apache Spark SQL 7.9
  • TIBCO Spotfire Connector for Attivio 7.9
  • TIBCO Spotfire Connector for Cloudera Hive 7.9
  • TIBCO Spotfire Connector for Cloudera Impala 7.9
  • TIBCO Spotfire Connector for Cisco ("Composite") Information Server 7.9
  • TIBCO Spotfire Connector for Google Analytics 7.9
  • TIBCO Spotfire Connector for Hortonworks 7.9
  • TIBCO Spotfire Connector for HP Vertica 7.9
  • TIBCO Spotfire Connector for IBM DB2 7.9
  • TIBCO Spotfire Connector for IBM Netezza 7.9
  • TIBCO Spotfire Connector for Microsoft SQL Server 7.9
  • TIBCO Spotfire Connector for Microsoft SQL Server Analysis Services 7.9
  • TIBCO Spotfire Connector for OData 7.9
  • TIBCO Spotfire Connector for Oracle 7.9
  • TIBCO Spotfire Connector for Oracle Essbase 7.9
  • TIBCO Spotfire Connector for Oracle MySQL 7.9
  • TIBCO Spotfire Connector for Pivotal Greenplum 7.9
  • TIBCO Spotfire Connector for Pivotal HAWQ 7.9
  • TIBCO Spotfire Connector for PostgreSQL 7.9
  • TIBCO Spotfire Connector for Salesforce.com 7.9
  • TIBCO Spotfire Connector for SAP HANA 7.9
  • TIBCO Spotfire Connector for SAP NetWeaver Business Warehouse (SAP BW) 7.9
  • TIBCO Spotfire Connector for Teradata 7.9
  • TIBCO Spotfire Connector for Teradata Aster 7.9
Connector System requirements can be found here.
Importing SAS data files (Optional) SAS Providers for OLE DB 9.22 or higher

It is possible to import SAS data files (*.sas7bdat, *.sd2, *.sd7) into TIBCO Spotfire directly. The requirement for this functionality is that the SAS Providers for OLE DB 9.22 or higher must first be installed on the client machine.

Click here to download SAS Providers for OLE DB (free registration on SAS website required).


NOTE: SAS Providers for OLE DB are not supported for use in the Spotfire Web Player service (the SAS driver is not thread-safe, which can cause general platform instabilities).

NOTE: For use with Windows 8 or 10, it is strongly recommended to use SAS Providers for OLE DB 9.43 or higher, as there are known issues with the older versions of the driver on those operating systems.
Citrix (Optional) It is supported to deploy TIBCO Spotfire Analyst on:

Server:
  • Citrix XenApp 7.6
  • Citrix XenApp 6.5
  • Citrix XenApp 6.0
Operating System:
  • Windows Server 2008 R2 (SP1 or higher)

NOTE: The 3D Scatter Plot is not supported in a Citrix environment since the plot requires hardware acceleration.
Remote Desktop Services (Optional) It's supported to run TIBCO Spotfire Analyst via Windows Server Remote Desktop Services on the following Operating System(s):
  • Microsoft Windows Server 2016 *
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2 (SP1 or higher)

NOTE: * Containers are not supported.
TIBCO Tibbr (Optional) TIBCO Tibbr 4 or higher